/* -*- Mode: C++ -*- */

/*
    libscoach: Soccer Coach library for use with the SoccerServer system 

    Copyright (C) 2001  Patrick Riley, Paul Carpenter, Gal Kaminka, Manuela Veloso

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2.1 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/

#ifndef _COACH_MESS_ROTATE_H_
#define _COACH_MESS_ROTATE_H_

#include "coach_lang_iter.h"

class CMI_Rotate : public CoachMessageIterator
{
public:
  CMI_Rotate() {}
  ~CMI_Rotate() {}

  void iterMessage(CM_Message* pMess) { }
  void iterMetaToken(CM_MetaToken* pMTok) { }
  void iterAction(CM_Action* pAct) { }
  void iterDirective(CM_Directive* pDir) { }
  void iterCondition(CM_Condition* pCond) { }
  void iterToken(CM_Token* pTok) { }
  void iterDefineToken(CM_DefineToken* pDTok) { }
  void iterRegion(Region* pReg) { pReg->rotate180(); }

};


#endif
